{

	//重击/击晕Predicate测试脚本

    "AbilityName" : "TestPlayer_Ability_Tianheng_39",

    "AbilityStacking": "Unique",



    "OnAbilityStart":

    [

        {  

            "$type" : "MoleMole.FireEffect",

            "EffectPattern" : "Eff_Avatar_LevelUp_02",

            "Target" : "Self",

        },

    ],



    "DefaultModifier" :

    {

        //需要确认能否在以下回调中生效：OnAttackLanded，OnBeingHit，OnHitOther（Pre/Resolved）

        "OnHitOther":

        [

            {  

                "$type" : "MoleMole.FireEffect",

                "EffectPattern" : "Eff_Avatar_LevelUp_01",

                "Target" : "Self",

                "Predicates": 

                [

                    {

                        "$type" : "MoleMole.ByCauseStun",

                        //"Target" : "Self",

                        "IsCauseStun" : true

                    },

                    {

                        "$type" : "MoleMole.ByHeavyAttack",

                        //"Target" : "Self",

                        "IsHeavyAttack" : true

                    }

                ]

            },

        ]

    },

}